# services/health/wger-ingress.yaml
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: wger
  namespace: health
  annotations:
    kubernetes.io/ingress.class: traefik
    traefik.ingress.kubernetes.io/router.entrypoints: websecure
    traefik.ingress.kubernetes.io/router.tls: "true"
    cert-manager.io/cluster-issuer: letsencrypt
spec:
  tls:
    - hosts: ["health.bstein.dev"]
      secretName: wger-tls
  rules:
    - host: health.bstein.dev
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: wger
                port:
                  number: 80
